---
title: accesskey
slug: Web/HTML/Global_attributes/accesskey
tags:
  - Global attributes
  - HTML
  - Reference
  - accesskey
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p>The <code><strong>accesskey</strong></code> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> provides a hint for generating a keyboard shortcut for the current element. The attribute value must consist of a single printable character (which includes accented and other characters that can be generated by the keyboard).</p>

<div>{{EmbedInteractiveExample("pages/tabbed/attribute-accesskey.html","tabbed-shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div class="note">
<p><strong>Note</strong>: In the WHATWG spec, it says you can specify multiple space-separated characters, and the browser will use the first one it supports. However, this does not work in most browsers. IE/Edge uses the first one it supports without problems, provided there are no conflicts with other commands.</p>
</div>

<p>The way to activate the accesskey depends on the browser and its platform:</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th></th>
   <th>Windows</th>
   <th>Linux</th>
   <th>Mac</th>
  </tr>
  <tr>
   <th>Firefox</th>
   <td colspan="2" rowspan="1" style="text-align: center;"><kbd>Alt</kbd> + <kbd>Shift</kbd> + <kbd><em>key</em></kbd></td>
   <td>On Firefox 57 or newer: <kbd>Control</kbd> + <kbd>Option</kbd> + <kbd><em>key</em></kbd> or <kbd>Control</kbd> + <kbd>Alt</kbd> + <kbd><em>key</em></kbd><br>
    On Firefox 14 or newer: <kbd>Control</kbd> + <kbd>Alt</kbd> + <kbd><em>key</em></kbd><br>
    On Firefox 13 or older: <kbd>Control</kbd> + <kbd><em>key</em></kbd></td>
  </tr>
  <tr>
   <th>Internet Explorer</th>
   <td rowspan="3" style="text-align: center;"><kbd>Alt</kbd> + <kbd><em>key</em></kbd><br>
    <kbd>Alt</kbd> + <kbd>Shift</kbd> + <kbd><em>key</em></kbd></td>
   <td colspan="2" rowspan="1" style="text-align: center;">N/A</td>
  </tr>
  <tr>
   <th>Edge</th>
   <td style="text-align: center;">N/A</td>
   <td rowspan="3" style="text-align: center;">
    <kbd>Control</kbd> + <kbd>Option</kbd> + <kbd><em>key</em></kbd><br>
    <kbd>Control</kbd> + <kbd>Option</kbd> + <kbd>Shift</kbd> + <kbd><em>key</em></kbd>
   </td>
  </tr>
  <tr>
   <th>Google Chrome</th>
   <td style="text-align: center;"><kbd>Alt</kbd> + <kbd>Shift</kbd> + <kbd><em>key</em></kbd></td>
  </tr>
  <tr>
   <th>Safari</th>
   <td colspan="2" style="text-align: center;">N/A</td>
  </tr>
  <tr>
   <th>Opera 15+</th>
   <td colspan="2" rowspan="1" style="text-align: center;"><kbd>Alt</kbd> + <kbd><em>key</em></kbd></td>
   <td style="text-align: center;"><kbd>Control</kbd> + <kbd>Alt</kbd> + <kbd><em>key</em></kbd></td>
  </tr>
  <tr>
   <th>Opera 12</th>
   <td colspan="3" rowspan="1">
    <kbd>Shift</kbd> + <kbd>Esc</kbd> opens a contents list which are accessible by accesskey, then, can choose an item by pressing <kbd><em>key</em></kbd>
   </td>
  </tr>
 </tbody>
</table>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>In addition to poor browser support, there are numerous concerns with the <code>accesskey</code> attribute:</p>

<ul>
 <li>An <code>accesskey</code> value can conflict with a system or browser keyboard shortcut, or assistive technology functionality. What may work for one combination of operating system, assistive technology, and browser may not work with other combinations.</li>
 <li>Certain <code>accesskey</code> values may not be present on certain keyboards, especially when internationalization is a concern. So adapting to specific languages could cause further problems.</li>
 <li><code>accesskey</code> values that rely on numbers may be confusing to individuals experiencing cognitive concerns, where the number doesn't have a logical association with the functionality it triggers. </li>
 <li>Informing the user that <code>accesskey</code>s are present, so that they are aware of the functionality. If the system lacks a method of notifying the user about this feature, the user might accidentally activate <code>accesskey</code>s.</li>
</ul>

<p>Because of these issues, it is generally advised not to use <code>accesskey</code>s for most general-purpose websites and web apps.</p>

<ul>
 <li><a href="https://webaim.org/techniques/keyboard/accesskey#spec">WebAIM: Keyboard Accessibility - Accesskey</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5.2', "editing.html#the-accesskey-attribute", "accesskey")}}</td>
   <td>{{Spec2('HTML5.2')}}</td>
   <td>More realistic behavior described for what is implemented in reality.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "interaction.html#the-accesskey-attribute", "accesskey")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from latest W3C {{SpecName('HTML5.1')}} spec.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "editing.html#the-accesskey-attribute", "accesskey")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "editing.html#the-accesskey-attribute", "accesskey")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>From {{SpecName('HTML4.01')}}, several characters can now be set as the <code>accesskey</code>. Also, it can be set on any element.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', "interact/forms.html#h-17.11.2", "accesskey")}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Only supported on {{ HTMLElement("a") }}, {{ HTMLElement("area") }}, {{ HTMLElement("button") }}, {{ HTMLElement("input") }}, {{ HTMLElement("label") }}, {{ HTMLElement("legend") }} and {{ HTMLElement("textarea") }}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.global_attributes.accesskey")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.accessKey")}}</li>
 <li>{{domxref("HTMLElement.accessKeyLabel")}}</li>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
 <li><code><a href="https://www.w3.org/TR/wai-aria-1.1/#aria-keyshortcuts">aria-keyshortcuts</a></code></li>
</ul>
